Transcoder

Create transcoding jobs in bulk

post/transcoder/jobs/batch

Submit several videos for transcoding in a single request. Useful when processing a whole library at once.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Request body

application/jsonRequired
output*JobOutput
Properties (1)
s3*S3Config
Properties (6)
endpoint?string | null

S3-compatible endpoint URL (omit for AWS S3)

Rangelength ≤ 512
region?string | null
Rangelength ≤ 64
bucket*string
Range1 ≤ length ≤ 255
path?string

Object key (input) or destination key prefix (output)

Rangelength ≤ 1024Default""
access_key?string | null
Rangelength ≤ 255
secret_key?string | null
Rangelength ≤ 2048
outputs*array<OutputSpec>
Rangeitems ≥ 1Rangeitems ≤ 20
Properties (1)
type*string
Value in"file""hls""thumbnails""gif"
input_defaults?JobInput | null
Properties (3)
source*string
Value in"url""s3"
url?string | null
Rangelength ≤ 2048
s3?S3Config | null
Properties (6)
endpoint?string | null

S3-compatible endpoint URL (omit for AWS S3)

Rangelength ≤ 512
region?string | null
Rangelength ≤ 64
bucket*string
Range1 ≤ length ≤ 255
path?string

Object key (input) or destination key prefix (output)

Rangelength ≤ 1024Default""
access_key?string | null
Rangelength ≤ 255
secret_key?string | null
Rangelength ≤ 2048
inputs*array<BatchInputItem>
Rangeitems ≥ 1Rangeitems ≤ 1000
Properties (4)
s3?S3Config | null
Properties (6)
endpoint?string | null

S3-compatible endpoint URL (omit for AWS S3)

Rangelength ≤ 512
region?string | null
Rangelength ≤ 64
bucket*string
Range1 ≤ length ≤ 255
path?string

Object key (input) or destination key prefix (output)

Rangelength ≤ 1024Default""
access_key?string | null
Rangelength ≤ 255
secret_key?string | null
Rangelength ≤ 2048
url?string | null
Rangelength ≤ 2048
path?string | null
Rangelength ≤ 1024
out_subpath?string | null
Rangelength ≤ 1024
webhook_url?string | null
Rangelength ≤ 2048

Responses

Successful Response

application/json

batch_id*string
job_ids*array<string>
count*integer